import request from '@/utils/request'

// 查询MOC管理列表
export function listMoc(query) {
  return request({
    url: '/process/moc/list',
    method: 'get',
    params: query
  })
}

// 查询申请统计
export function yearData(query) {
  return request({
    url: '/process/moc/yearData',
    method: 'get',
    params: query
  })
}

// 查询申请统计
export function trueStateData(query) {
  return request({
    url: '/process/moc/trueStateData',
    method: 'get',
    params: query
  })
}

// 变成性质统计
export function changeData(query) {
  return request({
    url: '/process/moc/changeData',
    method: 'get',
    params: query
  })
}
// 类别统计
export function categoryData(query) {
  return request({
    url: '/process/moc/categoryData',
    method: 'get',
    params: query
  })
}

// 类别统计
export function riskData(query) {
  return request({
    url: '/process/moc/riskData',
    method: 'get',
    params: query
  })
}

// 查询MOC管理详细
export function getMoc(id) {
  return request({
    url: '/process/moc/' + id,
    method: 'get'
  })
}

// 新增MOC管理
export function addMoc(data) {
  return request({
    url: '/process/moc',
    method: 'post',
    data: data
  })
}

// 修改MOC管理
export function updateMoc(data) {
  return request({
    url: '/process/moc',
    method: 'put',
    data: data
  })
}

// 删除MOC管理
export function delMoc(id) {
  return request({
    url: '/process/moc/' + id,
    method: 'delete'
  })
}

// 导出MOC管理
export function exportMoc(query) {
  return request({
    url: '/process/moc/export',
    method: 'get',
    params: query
  })
}
